﻿using System.Collections.Generic;
using SpotnetWatchdog.Entities;

namespace SpotnetWatchdog.Utils
{
    interface IWatchdog
    {
        /// <summary>
        /// Retrieves a list with watch results
        /// </summary>
        /// <param name="checkNewSpotsOnly">Only check new spots for matches</param>
        /// <returns></returns>
        List<WatchResult> GetWatchResults(bool checkNewSpotsOnly);
    }
}
